import { TickerCallbackEntry } from '../ticker';
import { EasingFunction } from '../utils';
import { Animation, AnimationConstructorOptions, AnimationOptions } from './Animation';
import * as easings from '@packages/utils/easings';
export type TweenEasingName = keyof typeof easings;
export interface TweenedOptions extends AnimationOptions {
    easing?: EasingFunction | TweenEasingName | false;
    duration?: number | false;
}
export declare class Tweened extends Animation<TweenedOptions> {
    #private;
    constructor(initial?: number, options?: AnimationConstructorOptions<TweenedOptions>);
    updateOptions(options?: TweenedOptions): void;
    protected handleAnimationFrame(e: TickerCallbackEntry): void;
    protected start(): void;
}
