import { Store, StoreSubscribeCallback, StoreOptions } from '../store';
import { ElementOrSelector } from '../utils';
export interface CSSPropertyOptions<StoreType extends number | boolean | string> extends StoreOptions<StoreType> {
    rawValueCheck?: boolean;
}
export declare class CSSProperty<StoreType extends number | boolean | string> extends Store<StoreType> {
    #private;
    constructor(elementOrSelector: ElementOrSelector<HTMLElement>, property: string, defaultValue: StoreType, options?: CSSPropertyOptions<StoreType>);
    get currentRawValue(): string;
    observe(): void;
    unobserve(): void;
    subscribe(callback: StoreSubscribeCallback<StoreType>): () => void;
    unsubscribe(callback: StoreSubscribeCallback<StoreType>): void;
    close(): void;
    check(): void;
}
