export interface LoadingEvents {
    loadingProgress: CustomEvent<{
        total: number;
        loaded: number;
        progress: number;
    }>;
    loadingStart: CustomEvent<{}>;
    loadingComplete: CustomEvent<{
        total: number;
    }>;
    loadingError: CustomEvent<{
        name: string;
    }>;
}
declare class Loading {
    #private;
    get map(): Map<string, boolean>;
    add(resourceName: string): void;
    complete(resourceName: string): void;
    error(resourceName: string): void;
}
export declare const loading: Loading;
declare global {
    interface WindowEventMap extends LoadingEvents {
    }
}
export {};
