export type StyleToken = Exclude<Extract<keyof CSSStyleDeclaration, string> | `--${string}`, 'length' | 'parentRule'>;
export type StyleAttribute = Partial<{
    [K in StyleToken]: string | number;
}>;
export type StyleWrapper = {
    [key: string]: object | StyleAttribute;
};
export type Style = StyleAttribute | {
    [key: string]: StyleWrapper | StyleAttribute;
};
export declare function styleToString(object: Style): string;
export declare function createStylesheet(object: Style): CSSStyleSheet;
