export interface SplitPathOptions {
    base?: string;
    trailingSlash?: boolean;
}
export declare function splitPath(value: string, { base, trailingSlash }?: SplitPathOptions): {
    leaf: string;
    pathname: string;
    parameters: string;
    hash: string;
};
export declare function normalizeBase(base?: string): string;
export type ChangeHistoryAction = 'replace' | 'push' | 'none';
export interface ChangeHistoryParameters {
    action: ChangeHistoryAction;
    pathname: string;
    searchParameters?: string | undefined;
    hash?: string | undefined;
    state?: {
        [key: string]: any;
    };
}
export declare function changeHistory(p: ChangeHistoryParameters): void;
export declare function parseSearchParameters(search: string): {
    [key: string]: string;
};
export declare function updateSearchParameter(parameterName: string, value?: string | number): void;
