import { SourceElement } from '../source';
export interface VideoEvents {
    videoReadyStateChange: CustomEvent<{
        readyState: number;
        progress: number;
    }>;
}
export declare class VideoElement extends SourceElement<HTMLVideoElement> {
    #private;
    protected connectedCallback(): void;
    protected disconnectedCallback(): void;
    protected createConsumer(): HTMLVideoElement;
    protected consumeSource(url: string | null): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'e-video': VideoElement;
    }
    interface HTMLElementEventMap extends VideoEvents {
    }
}
